"""
@package docstring
@author: Federico Vaga <federico.vaga@cern.ch>
@copyright: Copyright (c) 2015 CERN
@license: GNU Library General Public License version 2 or later

SPDX-License-Identifier: LGPL-3.0-or-later
"""

from .PyMockTurtle import TrtlHmqHeader, TrtlMessage, TrtlConfig, \
                          TrtlCpu, TrtlHmq, TrtlSmem, TrtlDevice, \
                          TrtlFirmwareVersion, TrtlConfigMq, \
                          TrtlFirmwareVariable, \
                          TRTL_CONFIG_ROM_MAX_CPU, \
                          TRTL_CONFIG_ROM_MAX_HMQ, \
                          TRTL_CONFIG_ROM_MAX_RMQ

__all__ = (
    "TrtlDevice",
    "TrtlCpu",
    "TrtlHmq",
    "TrtlSmem",
    "TrtlHmqHeader",
    "TrtlMessage",
    "TrtlConfig",
    "TrtlConfigMq",
    "TrtlFirmwareVersion",
    "TrtlFirmwareVariable",
    "TRTL_CONFIG_ROM_MAX_CPU",
    "TRTL_CONFIG_ROM_MAX_HMQ",
    "TRTL_CONFIG_ROM_MAX_RMQ",
)
